PHP Classes
elePHPant
Icontem

File: vendor/phpunit/phpunit-mock-objects/README.md

Recommend this page to a friend!
  Classes of Renato De Oliveira Lucena  >  PHP Pokemon Script  >  vendor/phpunit/phpunit-mock-objects/README.md  >  Download  
File: vendor/phpunit/phpunit-mock-objects/README.md
Role: Documentation
Content type: text/markdown
Description: Documentation
Class: PHP Pokemon Script
Provides an API to manage a database of Pokemons
Author: By
Last change:
Date: 1 year ago
Size: 1,067 bytes
 

 

Contents

Class file image Download

Latest Stable Version Minimum PHP Version Build Status

PHPUnit_MockObject

PHPUnit_MockObject is the default mock object library for PHPUnit.

Requirements

  • PHP 5.6 is required but using the latest version of PHP is highly recommended

Installation

You can add this library as a local, per-project dependency to your project using Composer:

composer require phpunit/phpunit-mock-objects

If you only need this library during development, for instance to run your project's test suite, then you should add it as a development-time dependency:

composer require --dev phpunit/phpunit-mock-objects